## org.hibernate.dialect.lock
Class OptimisticEntityLockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.dialect.lock.LockingStrategyException
                          org.hibernate.dialect.lock.OptimisticEntityLockException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  OptimisticLockException

    public class OptimisticEntityLockException

extends LockingStrategyException

Represents an error trying to apply an optimistic `LockingStrategy` to an entity

See Also:
  Serialized Form

Constructor Summary
`OptimisticEntityLockException(Object entity, String message)`
`OptimisticEntityLockException(Object entity, String message, Throwable root)`

Method Summary

Methods inherited from class org.hibernate.dialect.lock.LockingStrategyException
`getEntity`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptimisticEntityLockException

    public OptimisticEntityLockException(Object entity,
                                         String message)

### OptimisticEntityLockException

    public OptimisticEntityLockException(Object entity,
                                         String message,
                                         Throwable root)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.